Bug 823673 - fedora suddenly stops recognizing sound card
fedora suddenly stops recognizing sound card
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 16:28 EDT by kat
Modified: 2013-07-31 23:06 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:06:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kat 2012-05-21 16:28:09 EDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:12.0) Gecko/20100101 Firefox/12.0
Build Identifier: 

I have an installed sound card. Fedora will suddenly stop recognizing the sound card--the volume display will disappear and the sound settings tool will show no device available. This frequently happens in between playing music files or videos. I cannot figure out if anything in particular triggers this. 

Reproducible: Couldn't Reproduce

Steps to Reproduce:
1. Play music or videos.
2. Suddenly find that no sound is playing. 
3. Attempt to adjust sound and find that no device is available.
Actual Results:  
Restart. Sound plays, until it doesn't. Cannot figure out how to bring device back except by restarting. 

Expected Results:  
Sound card recognized and remains recognized throughout entire session.
Comment 1 Josh Boyer 2012-05-21 16:32:57 EDT
Which kernel version exactly?

Is there anything in dmesg or /var/log/messages that might be relevant to this?

Is pulseaudio crashing at all?  When the sound goes away, can you see anything in the 'alsamixer' tool?
Comment 2 kat 2012-05-21 17:38:05 EDT
I'm running kernel version 3.3.4-5.fc17.x86_64

I don't see anything relevant in /var/log/messages or dmesg. 

alsamixer gives me this message:

ALSA lib pulse.c:243:(pulse_connect) PulseAudio: Unable to connect: Connection refused
cannot open mixer: Connection refused

pulseaudio gives me this message:

E: [pulseaudio] module-alsa-card.c: Failed to find a working profile.
E: [pulseaudio] module.c: Failed to load module "module-alsa-card" (argument: "device_id="29" name="platform-thinkpad_acpi" card_name="alsa_card.platform-thinkpad_acpi" namereg_fail=false tsched=yes fixed_latency_range=no ignore_dB=no deferred_volume=yes card_properties="module-udev-detect.discovered=1""): initialization failed.
Comment 3 Mark Spencer 2012-06-04 11:22:21 EDT
Triage:

I had this myself and discovered the problem is that the runtime sockets for pulseaudio are stored in /tmp and they're getting reaped by the tmp cleaner.  There should be a file in /etc/tmpfiles.d to preserve /tmp/pulse/* or they need to be moved somewhere else where they aren't reaped.
Comment 4 Fedora End Of Life 2013-07-03 19:56:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 23:06:13 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.